"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ErrorCodes;
(function (ErrorCodes) {
    // General
    ErrorCodes["invalidType"] = "invalid-type";
    ErrorCodes["tokenNotReady"] = "token-not-ready";
    ErrorCodes["invalidValue"] = "invalid-value";
    ErrorCodes["invalidArray"] = "invalid-array";
    ErrorCodes["invalidObject"] = "invalid-object";
    ErrorCodes["valueRequired"] = "value-required";
    ErrorCodes["nullNotAllowed"] = "null-not-allowed";
    ErrorCodes["notAllowed"] = "not-allowed";
    // Parser Errors (Header)
    ErrorCodes["multipleHeaders"] = "multiple-headers-found";
    ErrorCodes["invalidCollection"] = "invalid-collection";
    ErrorCodes["invlidHeader"] = "invalid-header";
    ErrorCodes["invalidHeaderItem"] = "invalid-header-item";
    ErrorCodes["expectingSeparator"] = "expecting-a-separator";
    ErrorCodes["openBracket"] = "open-bracket";
    ErrorCodes["invalidBracket"] = "invalid-bracket";
    ErrorCodes["incompleteEscapeSequence"] = "incomplete-escape-sequence";
    ErrorCodes["positionalMemberAfterKeywordMember"] = "positional-member-after-keyword-member";
    // Parser Errors (Schema)
    ErrorCodes["invalidSchema"] = "invalid-schema";
    ErrorCodes["invalidKey"] = "invalid-key";
    ErrorCodes["invalidMemberDefCondition"] = "invalid-memberdef-condition";
    // String
    ErrorCodes["notAString"] = "not-a-string";
    ErrorCodes["invalidChar"] = "invalid-char";
    ErrorCodes["invalidEmail"] = "invalid-email";
    ErrorCodes["invalidUrl"] = "invalid-url";
    ErrorCodes["stringNotClosed"] = "string-not-closed";
    // -- string, number, date, datetime, time
    ErrorCodes["valueNotInChoice"] = "value-not-in-choice";
    ErrorCodes["invalidChoice"] = "invalid-choice";
    // -- string, array
    ErrorCodes["invalidMinLength"] = "invalid-min-length";
    ErrorCodes["invalidMaxLength"] = "invalid-max-length";
    // Number
    ErrorCodes["notANumber"] = "not-a-number";
    ErrorCodes["notAnInteger"] = "not-an-integer";
    ErrorCodes["outOfRange"] = "out-of-range";
    ErrorCodes["invalidMinValue"] = "invalid-min-value";
    ErrorCodes["invalidMaxValue"] = "invalid-max-value";
    // Boolean
    ErrorCodes["notABool"] = "not-a-bool";
    // DateTime
    ErrorCodes["invalidDateTime"] = "invalid-datetime";
})(ErrorCodes || (ErrorCodes = {}));
exports.default = ErrorCodes;
//# sourceMappingURL=io-error-codes.js.map