import Schema from './schema';
export default class KeyValueCollection {
    private _keys;
    private _map;
    length(): number;
    get keys(): string[];
    /**
     * Gets the varialbe value. This function is intend to be used internally
     * for quickly fetching the variable value, hence it accepts any key to keep the
     * consumer code free from type checking. The function validate the key and
     * returns the associated value, if avialable. Otherwise returns undefined.
     * @param key {any} The varialbe key starting with $
     * @returns The value associated with the variable
     */
    getV(key: any): any;
    /**
     * Gets a value for specified key
     * @param key {string} The key
     * @returns Value
     */
    get(key: string): any;
    /**
     * Sets the value for the key.
     * @param key {string} The key
     * @param val {any} The associated value for that key.
     */
    set(key: string, val: any): KeyValueCollection;
    /**
     * Removes the specified key from the collection.
     * @param key {string} The key of the collection item, which needs to be removed.
     */
    remove(key: string): KeyValueCollection;
    /**
     * Gets schema
     */
    get schema(): Schema;
    /**
     * Sets schema
     */
    set schema(schema: Schema);
    /**
     *
     * @param collection The collection string that needs to be compiled!
     * @param schema The schema
     */
    static compile(collection: any, schema?: Schema | string): KeyValueCollection;
}
//# sourceMappingURL=index.d.ts.map