import '../types/index';
import KeyValueCollection from './index';
/**
 * Represents the Internet Object Schema class which is responsible for
 * compiling schemas and applying them to data objects.
 */
export default class Schema {
    private _schema;
    /**
     *
     * @param schema Initializes the new instance of the `Schema` class.
     *
     * @param schema {string, ASTParser}
     */
    private constructor();
    /**
     * Returns the underlaying schema structure
     */
    get schema(): any;
    /**
     * Applies the schema to specified data and returns the
     * mapped
     */
    apply(data: any, vars?: KeyValueCollection): any;
    /**
     * Converts and returns the string version of current schema.
     */
    toString(): void;
    static compile: (schema: any, vars?: KeyValueCollection | undefined) => Schema;
}
//# sourceMappingURL=schema.d.ts.map