import TypeDef from './typedef';
import MemberDef from './memberdef';
import KeyValueCollection from '../header/index';
import { ParserTreeValue } from '../parser/index';
/**
 * Represents the AnyTypeDef which is reponsible for parsing,
 * validating, loading and serializing any values.
 */
export default class AnyDef implements TypeDef {
    /**
     * Returns the type this instance is going to handle.
     * Always returns "any"
     */
    getType(): string;
    /**
     * Parses any value in IO format into JavaScript.
     */
    parse(data: ParserTreeValue, memberDef: MemberDef, vars?: KeyValueCollection): any;
    /**
     * Loads the JavaScript values.
     */
    load(data: any, memberDef: MemberDef): any;
    /**
     * Serializes any value from JavaScript into IO format.
     */
    serialize(data: any, memberDef: MemberDef, isRoot?: boolean): string;
}
//# sourceMappingURL=any.d.ts.map