import MemberDef from './memberdef';
import TypeDef from './typedef';
import KeyValueCollection from '../header/index';
import { ParserTreeValue } from '../parser/index';
/**
 * Represents the `array`, performs following validations.
 * - Value is an array
 * - Value is optional
 * - Value is nullable
 * - array is <= schema.maxLength
 * - array is >= schema.minLength
 * - Value is in choices
 */
declare class ArrayDef implements TypeDef {
    private _keys;
    getType(): string;
    parse: (data: ParserTreeValue, memberDef: MemberDef, vars?: KeyValueCollection | undefined) => any;
    load: (data: any, memberDef: MemberDef) => any;
    serialize: (data: any, memberDef: MemberDef) => string;
}
export default ArrayDef;
//# sourceMappingURL=array.d.ts.map