import TypeDef from './typedef';
import MemberDef from './memberdef';
import KeyValueCollection from '../header';
import { ParserTreeValue } from '../parser/index';
/**
 * Represents the ObjectTypeDef which is reponsible for parsing,
 * validating, loading and serializing Objects.
 */
declare class ObjectDef implements TypeDef {
    private _keys;
    /**
     * Returns the type this instance is going to handle.
     * Always returns object
     */
    getType(): string;
    /**
     * Parses the object in IO format into JavaScript object.
     */
    parse: (data: ParserTreeValue, memberDef: MemberDef, vars?: KeyValueCollection | undefined) => any;
    /**
     * Loads the JavaScript object.
     */
    load: (data: any, memberDef: MemberDef) => any;
    /**
     * Serializes the object into IO format.
     */
    serialize: (data: any, memberDef: MemberDef, isRoot?: boolean) => string;
    private _process;
}
export default ObjectDef;
//# sourceMappingURL=object.d.ts.map