import TypeDef from "./typedef";
export declare class TypedefRegistry {
    /**
     * Registers the TypeDef for the specified type.
     * @param type The type name
     * @param typeDef The associated TypeDef ojbect
     */
    static register(type: string, typeDef: TypeDef): void;
    /**
     * Unregisters the specified type from the registry.
     * @param type The type name
     */
    static unregister(type: string): void;
    /**
     * Gets the array of registered type names.
     */
    static get types(): string[];
    /**
     * Returns the associated TypeDef object when the specified type
     * is found otherwise returns undefined.
     * @param type The registered type
     */
    static get(type: string): TypeDef;
    static isRegisteredType(typeName: string): boolean;
}
//# sourceMappingURL=typedef-registry.d.ts.map