export declare const datetimeExp: {
    datetime: RegExp;
    date: RegExp;
    time: RegExp;
};
export declare const datetimePlainExp: {
    datetime: RegExp;
    date: RegExp;
    time: RegExp;
};
/**
 * Parses the value string and returns the datetime if the string represents
 * the ISO 8601 formatted datetime. Returns null when the invalid datetime
 * is found.
 */
export declare const parseDateTime: (value: string) => Date | null;
/**
 * Parses the value string and returns the datetime if the string represents
 * the ISO 8601 formatted date. Returns null when the invalid date
 * is found.
 */
export declare const parseDate: (value: string) => Date | null;
/**
 * Parses the value string and returns the datetime if the string represents
 * the ISO 8601 formatted time. Returns null when the invalid time
 * is found.
 */
export declare const parseTime: (value: string) => Date | null;
export declare const dateToDatetimeString: (date: Date | null, noSep?: boolean, zuluTime?: boolean) => string | null;
export declare const dateToDateString: (date: Date | null, noSep?: boolean) => string | null;
export declare const dateToTimeString: (date: Date | null, noSep?: boolean) => string | null;
//# sourceMappingURL=datetime.d.ts.map