import { ASTParserTree, KeyVal, Node } from '../parser/index';
import { Token } from '../parser';
/**
 * Checks whether specified value is undefined or not.
 *
 * @param val The value to be tested for undefined check!
 * @returns `true` if the value is undefined otherwise `false`
 */
export declare const isUndefined: (val: any) => val is undefined;
/**
 * Checks whether specified value is number or not.
 *
 * @param val The value to be tested for number check!
 * @returns `true` if the value is a number otherwise `false`
 */
export declare const isNumber: (val: any) => val is number;
/**
 * Checks whether specified value is string or not.
 *
 * @param val The value to be tested for string check
 * @returns `true` if the value is a string otherwise `false`
 */
export declare const isString: (val: any) => val is string;
/**
 * Checks whether specified value is boolean or not.
 *
 * @param val The value to be tested for number check!
 * @returns `true` if the value is a boolean otherwise `false`
 */
export declare const isBoolean: (val: any) => val is boolean;
/**
 * Checks whether specified value is date or not.
 *
 * @param val The value to be tested for date check!
 * @returns `true` if the value is a date otherwise `false`
 */
export declare const isDate: (val: any) => val is Date;
/**
 * Checks whether specified value is date or not.
 *
 * @param val The value to be tested for date check!
 * @returns `true` if the value is a date otherwise `false`
 */
export declare const isDTTypeString: (val: any) => val is string;
/**
 * Checks whether specified value is datetime or not.
 *
 * @param val The value to be tested for number check!
 * @returns `true` if the value is a datetime otherwise `false`
 */
export declare const isDateTimeString: (val: any) => val is string;
/**
 * Checks whether specified value is date or not.
 *
 * @param val The value to be tested for date check!
 * @returns `true` if the value is a date otherwise `false`
 */
export declare const isDateString: (val: any) => val is string;
/**
 * Checks whether specified value is time or not.
 *
 * @param val The value to be tested for time check!
 * @returns `true` if the value is a date otherwise `false`
 */
export declare const isTimeString: (val: any) => val is string;
/**
 * Checks whether specified value is an array or not.
 *
 * @param val The value to be tested for an array check!
 * @returns `true` if the value is an array otherwise `false`
 */
export declare const isArray: (val: any) => val is any[];
export declare const isPlainObject: (val: any) => boolean;
/**
 * Checks whether specified value reprents datatype.
 *
 * @param val The value to be tested for an datatype check!
 * @returns `true` if the value is a datatype otherwise `false`
 */
export declare const isDataType: (val: string) => boolean;
export declare function isParserTree(obj: any): obj is ASTParserTree;
/**
 * Checks whether the specified object is a Token or not!
 * @param obj The object to be validated for the Token check
 * @returns `true` if the value is a Token otherwise `false`
 */
export declare function isToken(obj: any): obj is Token;
/**
 * Checks whether the specified object is a Token or not!
 * @param obj The object to be validated for the Token check
 * @returns `true` if the value is a Token otherwise `false`
 */
export declare function isNode(obj: any): obj is Node;
export declare function isDefined<T>(val: T | null | undefined): val is T;
/**
 * Checks whether the specified object is a KeyVal or not!
 * @param obj The object to be validated for the KeyVal check
 * @returns `true` if the value is a KeyVal otherwise `false`
 */
export declare function isKeyVal(obj: any): obj is KeyVal;
/**
 *
 * @param obj
 */
export declare const isSchemaDef: (obj: any) => boolean | undefined;
//# sourceMappingURL=is.d.ts.map